org.icefaces.ace.component.richtextentry

## Interface IRichTextEntry

- All Known Implementing Classes:
    RichTextEntry, RichTextEntryBase

      public interface IRichTextEntry

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAutogrowBufferSpace()`
    `int` | `getAutogrowMaxHeight()`
    `int` | `getAutogrowMinHeight()`
    `java.lang.String` | `getCustomConfigPath()`
    `java.lang.String` | `getHeight()`
    `java.lang.String` | `getLanguage()`
    `java.lang.String` | `getSkin()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getToolbar()`
    `java.lang.String` | `getWidth()`
    `boolean` | `isAutogrow()`
    `boolean` | `isDisabled()`
    `boolean` | `isSaveOnSubmit()`
    `void` | `setAutogrow(boolean autogrow)`
    `void` | `setAutogrowBufferSpace(int autogrowBufferSpace)`
    `void` | `setAutogrowMaxHeight(int autogrowMaxHeight)`
    `void` | `setAutogrowMinHeight(int autogrowMinHeight)`
    `void` | `setCustomConfigPath(java.lang.String customConfigPath)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setHeight(java.lang.String height)`
    `void` | `setLanguage(java.lang.String language)`
    `void` | `setSaveOnSubmit(boolean saveOnSubmit)`
    `void` | `setSkin(java.lang.String skin)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setToolbar(java.lang.String toolbar)`
    `void` | `setWidth(java.lang.String width)`

- - ### Method Detail

    - #### setAutogrow

          void setAutogrow(boolean autogrow)

    - #### isAutogrow

          boolean isAutogrow()

    - #### setAutogrowBufferSpace

          void setAutogrowBufferSpace(int autogrowBufferSpace)

    - #### getAutogrowBufferSpace

          int getAutogrowBufferSpace()

    - #### setAutogrowMaxHeight

          void setAutogrowMaxHeight(int autogrowMaxHeight)

    - #### getAutogrowMaxHeight

          int getAutogrowMaxHeight()

    - #### setAutogrowMinHeight

          void setAutogrowMinHeight(int autogrowMinHeight)

    - #### getAutogrowMinHeight

          int getAutogrowMinHeight()

    - #### setCustomConfigPath

          void setCustomConfigPath(java.lang.String customConfigPath)

    - #### getCustomConfigPath

          java.lang.String getCustomConfigPath()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setHeight

          void setHeight(java.lang.String height)

    - #### getHeight

          java.lang.String getHeight()

    - #### setLanguage

          void setLanguage(java.lang.String language)

    - #### getLanguage

          java.lang.String getLanguage()

    - #### setSaveOnSubmit

          void setSaveOnSubmit(boolean saveOnSubmit)

    - #### isSaveOnSubmit

          boolean isSaveOnSubmit()

    - #### setSkin

          void setSkin(java.lang.String skin)

    - #### getSkin

          java.lang.String getSkin()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setToolbar

          void setToolbar(java.lang.String toolbar)

    - #### getToolbar

          java.lang.String getToolbar()

    - #### setWidth

          void setWidth(java.lang.String width)

    - #### getWidth

          java.lang.String getWidth()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.